Subject: Re: linux-next: Tree for December 29

From: Mark Brown <[email-masked]>
Date: Wed, 29 Dec 2010 13:08:03 +0000

On Wed, Dec 29, 2010 at 12:45:35PM +0200, Anca Emanuel wrote:

> >> ? MODPOST 2808 modules
> >> ERROR: "__tracepoint_snd_soc_jack_irq"
> >> [sound/soc/codecs/snd-soc-wm8994.ko] undefined!
> >> ERROR: "__tracepoint_snd_soc_jack_irq"
> >> [sound/soc/codecs/snd-soc-wm8350.ko] undefined!
> >> ERROR: "__tracepoint_snd_soc_jack_irq"
> >> [sound/soc/codecs/snd-soc-88pm860x.ko] undefined!
> >> WARNING: modpost: Found 59 section mismatch(es).
> >> To see full details build your kernel with:
> >> 'make CONFIG_DEBUG_SECTION_MISMATCH=y'
> >> make[2]: *** [__modpost] Error 1
> >> make[1]: *** [modules] Error 2

> > It would be good if you could publish your config files with these
> > reports. ?I have cc'd this to those who may be able to fix this.

*Please* do always CC maintainers on reports and always include the
config like Stephen requested, build errors without reproduction
information are typically no use.

I've probably fixed this; I've not fully explored this as even a noop
build of the config you provided on my laptop is taking many minutes.